Bug 200237 - API review: Added SourceUtils.getJVMSignature method
API review: Added SourceUtils.getJVMSignature method
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.1
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Zezula
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 14:10 UTC by Tomas Zezula
Modified: 2011-08-04 13:48 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Diff file (5.58 KB, patch)
2011-07-19 14:33 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-07-19 14:10:29 UTC
Added a method SourceUtils.getJVMSignature to obtain the JVM signature for an ElementHandle.
The JVM signature is needed by whitelist support to build a decision tree for finding if type (method) is enabled and by remote support.
Comment 1 Tomas Zezula 2011-07-19 14:33:27 UTC
Created attachment 109514 [details]
Diff file
Comment 2 Jan Lahoda 2011-08-01 11:49:37 UTC
Seems fine to me, thanks!
Comment 3 Tomas Zezula 2011-08-01 14:02:11 UTC
Fixed jet-main de5ed6d85db1
Comment 4 Quality Engineering 2011-08-04 13:48:39 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/de5ed6d85db1
User: Tomas Zezula <tzezula@netbeans.org>
Log: #200237:API review: Added SourceUtils.getJVMSignature method


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo